14 Replies Latest reply: Oct 30, 2013 1:21 PM by Synchroma Branched to a new discussion.
00N9ne Level 1 Level 1 (0 points)

I updated my itunes to 11.1 so it could work with IOS 7 on my 4s, but everytime I put in the device in it says "Itunes requires a newer version of Apple Mobile Device Support. Please uninstall both Apple Mobile Device Support and iTunes, then install iTunes again."

 

I've uninstalled and reinstalled multiple times and still nothing. I've stop and restarted apple mobile support in services, still nothing. I've tried manually updating apple mobile support with the device manager and still nothing.

 

Please help.


iPhone 4S, iOS 7, Itunes 11.1, Windows 8